org.apache.maven.scm.provider.bazaar.command.tag

## Class BazaarTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.bazaar.command.tag.BazaarTagCommand

All Implemented Interfaces:
  Command

    public class BazaarTagCommand
    extends AbstractTagCommand

Version:
  $Id: BazaarTagCommand.java 806087 2009-08-20 08:41:15Z struberg $
Author:
  Johan Walles

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`BazaarTagCommand()`

### Method Summary

Methods
`protected ScmResult` `executeTagCommand(ScmProviderRepository repository, ScmFileSet fileSet, String tagName, ScmTagParameters scmTagParameters)`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand, executeTagCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarTagCommand

    public BazaarTagCommand()

### Method Detail

#### executeTagCommand

    protected ScmResult executeTagCommand(ScmProviderRepository repository,
                              ScmFileSet fileSet,
                              String tagName,
                              ScmTagParameters scmTagParameters)
                                   throws ScmException

Specified by:
  `executeTagCommand` in class `AbstractTagCommand`
Throws:
  `ScmException`